Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 250943 - Review Request: x3d-xsl - Web3D Consortium stylesheets for X3D
Summary: Review Request: x3d-xsl - Web3D Consortium stylesheets for X3D
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-08-05 21:03 UTC by Braden McDaniel
Modified: 2015-08-21 09:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 09:19:30 UTC


Attachments (Terms of Use)

Description Braden McDaniel 2007-08-05 21:03:36 UTC
Spec URL: http://endoframe.com/x3d-xsl.spec
SRPM URL: http://endoframe.com/x3d-xsl-20070723-1.src.rpm
Description: XSL stylesheets for transforming X3D XML (model/x3d+xml) to VRML97 (model/vrml) and VRML-syntax X3D (model/x3d+vrml).

Comment 1 Anthony Green 2007-10-13 12:54:51 UTC
I think the license should probably be BSD (from reading the style sheet contents).

Thanks for submitting this.  I'll do a full review this weekend.


Comment 2 Ondrej Vasik 2008-01-15 20:16:44 UTC
(just adding myself to CC as because of future xmlto X3D support)

One thing I see is missing Requires(post,postun) for libxml2 (usage of
/usr/bin/xmlcatalog) 

Comment 3 Braden McDaniel 2008-01-15 20:56:39 UTC
Thanks; and sorry for the delay following up on this. I'll have updated packages for x3d-dtd-schema (bug 
251282) available soon; and I'll follow up with updates to this one.



Comment 4 Braden McDaniel 2008-01-28 05:39:25 UTC
I have posted updated versions of the spec and SRPM that include the Licences
and Requires changes. The URLs are the same.

Comment 5 Ondrej Vasik 2008-01-28 09:58:29 UTC
Aaaah, now I see ugly bad thing - which I had in docbook-styles-xsl when I
dropped release from dir. Your postun will unregister xsl stylesheets during
update (when only release changes and version is still the same). I recommend to
use $1 value ... (docbook-style-xsl style)

it means:

%postun
# remove entries only on removal of package
if [ "$1" = 0 ]; then
  CATALOG=%{_sysconfdir}/xml/catalog
  %{_bindir}/xmlcatalog --noout --del \
  "file://%{_datadir}/xml/x3d/xsl-stylesheets-%{version}" $CATALOG
fi


Comment 6 Braden McDaniel 2008-01-28 15:51:49 UTC
Okay; I don't mind adding that; but the removal does seem benign. Won't %post
run and re-add the entries in that case?


Comment 7 Ondrej Vasik 2008-01-28 16:16:05 UTC
When updating by RPM -U sequence is following :
1)post of new package
2)postun of old package

And because of texts in catalogs are the same, postun of old package will
unregister catalogs from post of new package (when release is increased, but
version is the same). I broke by exactly same thing F8 and F7 docbook-style-xsl
... because I dropped release from dir - and this behaviour has shown.

You could check this by easy thing ... do not change your spec, and run rpm -U
--force x3d-xsl-20070723-1.rpm when x3d-xsl is installed. Then check
/etc/xml/catalog for x3d-xsl entries - and you will see they are gone. Will
appear in the next forced update again.

Comment 8 Braden McDaniel 2008-01-28 16:35:16 UTC
Thanks for the explanation.

I've updated the spec and SRPM with that change.


Comment 9 Rakesh Pandit 2008-09-03 16:44:39 UTC
@Braden

Waiting long for updates ?
Will be closed if not updated within a week.

Comment 10 Ondrej Vasik 2008-09-04 07:46:31 UTC
I guess we are not waiting for Braden's updates (spec and SRPM was updated and updated version is available on location from Description) but we are waiting for Anthony's review promised in comment #1. Maybe someone else should take this review (I could do that, but I don't know if it is good idea since I would like to co-maintain this package once it will reach Fedora). 

So moving needinfo to Anthony : Do you still have time to do this review? Otherwise I will try to find someone else for it.

Comment 11 Anthony Green 2008-11-10 21:22:05 UTC
I will review this this week.  Thanks.

Comment 12 Miroslav Suchý 2012-12-16 12:39:26 UTC
Anthony apperently do not have much time :)
Moving it to NEW so somebody else can pickup this review.

Comment 13 Jason Tibbitts 2013-05-13 16:08:53 UTC
Given that it's been nearly five years, I'd like to make sure that the submitter is still around before having this drop back into the review queue.  Braden, please just reply (which should clear the NEEDINFO flag) and this will re-enter the queue.

Comment 14 Miroslav Suchý 2015-08-21 09:19:30 UTC
No response for years. Closing. Feel free to reopen if you want to continue.


Note You need to log in before you can comment on or make changes to this bug.